# elf_section_t Struct Reference

## Data Fields

u32 | sh_name
u32 | sh_type
u32 | sh_flags
u32 | sh_addr
u32 | sh_offset
u32 | sh_size
u32 | sh_link
u32 | sh_info
u32 | sh_addralign
u32 | sh_entsize

## Field Documentation

u32 elf_section_t::sh_addr

u32 elf_section_t::sh_addralign

u32 elf_section_t::sh_entsize

u32 elf_section_t::sh_flags

u32 elf_section_t::sh_info

u32 elf_section_t::sh_link

u32 elf_section_t::sh_name

u32 elf_section_t::sh_offset

u32 elf_section_t::sh_size

u32 elf_section_t::sh_type

The documentation for this struct was generated from the following file:

- tools/bin2o.c